Documentation>C API
Data Fields
VlSiftFilt Struct Reference

SIFT filter. More...

`#include <sift.h>`

## Data Fields

double | sigman
double | sigma0
double | sigmak
double | dsigma0
int | width
int | height
int | O
int | S
int | o_min
int | s_min
int | s_max
int | o_cur
vl_sift_pix * | temp
vl_sift_pix * | octave
vl_sift_pix * | dog
int | octave_width
int | octave_height
vl_sift_pix * | gaussFilter
double | gaussFilterSigma
vl_size | gaussFilterWidth
VlSiftKeypoint * | keys
int | nkeys
int | keys_res
double | peak_thresh
double | edge_thresh
double | norm_thresh
double | magnif
double | windowSize
vl_sift_pix * | grad
int | grad_o

## Detailed Description

This filter implements the SIFT detector and descriptor.

## Field Documentation

## ◆ dog

vl_sift_pix* VlSiftFilt::dog

current DoG data.

## ◆ dsigma0

double VlSiftFilt::dsigma0

delta-smoothing.

## ◆ edge_thresh

double VlSiftFilt::edge_thresh

edge threshold.

## ◆ gaussFilter

vl_sift_pix* VlSiftFilt::gaussFilter

current Gaussian filter

## ◆ gaussFilterSigma

double VlSiftFilt::gaussFilterSigma

current Gaussian filter std

## ◆ gaussFilterWidth

vl_size VlSiftFilt::gaussFilterWidth

current Gaussian filter width

## ◆ grad

vl_sift_pix* VlSiftFilt::grad

GSS gradient data.

## ◆ grad_o

int VlSiftFilt::grad_o

GSS gradient data octave.

## ◆ height

int VlSiftFilt::height

image height.

## ◆ keys

VlSiftKeypoint* VlSiftFilt::keys

detected keypoints.

## ◆ keys_res

int VlSiftFilt::keys_res

size of the keys buffer.

## ◆ magnif

double VlSiftFilt::magnif

magnification factor.

## ◆ nkeys

int VlSiftFilt::nkeys

number of detected keypoints.

## ◆ norm_thresh

double VlSiftFilt::norm_thresh

norm threshold.

## ◆ O

int VlSiftFilt::O

number of octaves.

## ◆ o_cur

int VlSiftFilt::o_cur

current octave.

## ◆ o_min

int VlSiftFilt::o_min

minimum octave index.

## ◆ octave

vl_sift_pix* VlSiftFilt::octave

current GSS data.

## ◆ octave_height

int VlSiftFilt::octave_height

current octave height.

## ◆ octave_width

int VlSiftFilt::octave_width

current octave width.

## ◆ peak_thresh

double VlSiftFilt::peak_thresh

peak threshold.

## ◆ S

int VlSiftFilt::S

number of levels per octave.

## ◆ s_max

int VlSiftFilt::s_max

maximum level index.

## ◆ s_min

int VlSiftFilt::s_min

minimum level index.

## ◆ sigma0

double VlSiftFilt::sigma0

smoothing of pyramid base.

## ◆ sigmak

double VlSiftFilt::sigmak

k-smoothing

## ◆ sigman

double VlSiftFilt::sigman

nominal image smoothing.

## ◆ temp

vl_sift_pix* VlSiftFilt::temp

temporary pixel buffer.

## ◆ width

int VlSiftFilt::width

image width.

## ◆ windowSize

double VlSiftFilt::windowSize

size of Gaussian window (in spatial bins)

The documentation for this struct was generated from the following file:

- sift.h